.row
  .col-md-3
    %ul.nav.nav-bar.edit-sidebar
      %li.active
        %a.basic-information-sidebar{"data-toggle" => "tab", :href => "#basic_information_sidebar", :role => "tab"}
          Osnovne informacije
      %li
        %a.ingredients-sidebar{"data-toggle" => "tab", :href => "#ingredients_sidebar", :role => "tab"}
          Sastojci i alergeni
      %li
        %a.nutrients-sidebar{"data-toggle" => "tab", :href => "#nutrients_sidebar", :role => "tab"}
          Nutritivne vrijednosti
      %li
        %a.categories-sidebar{"data-toggle" => "tab", :href => "#categories_sidebar", :role => "tab"}
          Kategorije
      %li
        %a.package-sidebar{"data-toggle" => "tab", :href => "#package_sidebar", :role => "tab"}
          Ambalaža
      %li
        %a.certificate-sidebar{"data-toggle" => "tab", :href => "#certificate_sidebar", :role => "tab"}
          Sertifikati

  .col-md-6
    -if @product.id
      .form-group
        .col-sm-12
          = f.hidden_field :id, id: "product_id"

    #basic_information_sidebar
      .form-group
        = f.label :barcode, class: 'control-label text-left' do
          Barkod
        .col-sm-12
          = f.text_field :barcode, class: "form-control input-lg"
          -unless @product.errors.messages[:barcode].empty?
            %p{class: "error"}= @product.errors.messages[:barcode][0]

      .form-group
        = f.label :name, class: 'control-label text-left' do
          Naziv
        .col-sm-12
          = f.text_field :name, class: "form-control input-lg"
          -unless @product.errors.messages[:name].empty?
            %p{class: "error"}="Name #{@product.errors.messages[:name][0]}"

      .form-group
        = f.label :description, class: 'control-label text-left' do
          Opis
        .col-sm-12
          = f.text_field :description, class: "form-control input-lg"
          -unless @product.errors.messages[:description].empty?
            %p{class: "error"}= "Description #{@product.errors.messages[:description][0]}"

      .form-group
        = f.label :brand_name, class: 'control-label text-left' do
          Brend
        .col-sm-12
          = f.text_field :brand_name, class: "auto_search_brands form-control input-lg"

      .form-group
        = f.label :company_name, class: 'control-label text-left' do
          Proizvođač
        .col-sm-12
          = f.fields_for :manufacture_companies do |b|
            = b.text_field :company_name, class: "auto_search_companies form-control input-lg"

      .form-group
        = f.label :company_name, class: 'control-label text-left' do
          Distributer
        .col-sm-12
          = f.fields_for :distribution_companies do |b|
            = b.text_field :company_name, class: "auto_search_companies form-control input-lg"

      .form-group
        = f.label :origin, class: 'control-label text-left' do
          Zemlja porijekla
        .col-sm-12
          = f.text_field :origin, class: "form-control input-lg"

      .form-group
        = f.label :net_weight, class: 'control-label text-left' do
          Neto težina
        .col-sm-12
          .input-group
            = f.text_field :net_weight, class: "form-control input-lg"
            .input-group-btn
              = f.select :reference_unit, ['g','mg','kg','l','ml'], {}, class: "btn input-lg"

      .form-group
        = f.label :storage_instructions, class: 'control-label text-left' do
          Čuvanje
        .col-sm-12
          = f.text_field :storage_instructions, class: "form-control input-lg"

      .form-group
        = f.label :prepare_instructions, class: 'control-label text-left' do
          Pripremanje
        .col-sm-12
          = f.text_field :prepare_instructions, class: "form-control input-lg"

    #ingredients_sidebar.hide-sidebar
      .form-group
        = f.label :ac_ingredient_ids, class: 'control-label text-left' do
          Sastojci
        .col-sm-12
          = f.hidden_field :ac_ingredient_ids, id: "ac_ingredient"

      .form-group
        = f.label :allergen_ingredient_ids, class: 'control-label text-left' do
          Alergeni
        .col-sm-12
          = f.hidden_field :allergen_ingredient_ids, id: "allergen_ingredient"

    #nutrients_sidebar.hide-sidebar
      .panel-group#accordion.col-sm-12
        .panel.panel-default
          .panel-heading
            %h4.panel-title
              %a(data-toggle="collapse" data-parent="#accordion" href="#collapseOne")
                Nutritivne vrijednosti
          .panel-collapse.collapse#collapseOne
            %table.table
              %thead
                %tr
                  %th
                    Naziv
                  %th
                    Vrijednost
                  %th
                    Jedinica mjere
                  %th
                    Ukloni
              = f.fields_for :product_nutrients do |pn|
                = pn.text_field :nutrient_id, type: "hidden"
                %tr
                  %td
                    = pn.object.nutrient.name
                  %td
                    = pn.text_field :amount, class: "form-control"
                  %td
                    = pn.object.nutrient.reference_unit
                  %td
                    = pn.hidden_field :_destroy
                    = link_to '#', class: "remove_fields" do
                      <i class="icon-remove"></i>

        .panel.panel-default
          .panel-heading
            %h4.panel-title
              %a(data-toggle="collapse" data-parent="#accordion" href="#collapseTwo")
                Vitamini
          .panel-collapse.collapse#collapseTwo
            %table.table
              %thead
                %tr
                  %th
                    Naziv
                  %th
                    Vrijednost
                  %th
                    Jedinica mjere
                  %th
                    Ukloni
              = f.fields_for :product_vitamins do |pn|
                = pn.text_field :vitamin_id, type: "hidden"
                %tr
                  %td
                    = pn.object.vitamin.name
                  %td
                    = pn.text_field :amount, class: "form-control"
                  %td
                    = pn.object.vitamin.reference_unit
                  %td
                    = pn.hidden_field :_destroy
                    = link_to '#', class: "remove_fields" do
                      <i class="icon-remove"></i>

        .panel.panel-default
          .panel-heading
            %h4.panel-title
              %a(data-toggle="collapse" data-parent="#accordion" href="#collapseThree")
                Minerali
          .panel-collapse.collapse#collapseThree
            %table.table
              %thead
                %tr
                  %th
                    Naziv
                  %th
                    Vrijednost
                  %th
                    Jedinica mjere
                  %th
                    Ukloni
              = f.fields_for :product_minerals do |pn|
                = pn.text_field :mineral_id, type: "hidden"
                %tr
                  %td
                    = pn.object.mineral.name
                  %td
                    = pn.text_field :amount, class: "form-control"
                  %td
                    = pn.object.mineral.reference_unit
                  %td
                    = pn.hidden_field :_destroy
                    = link_to '#', class: "remove_fields" do
                      <i class="icon-remove"></i>

    #categories_sidebar.hide-sidebar
      .form-group
        = f.label :tag_list, class: 'control-label text-left' do
          Kategorije
        .col-sm-12
          = f.hidden_field :tag_list, id: "tags"

    #package_sidebar.hide-sidebar
      .form-group
        = f.hidden_field :rsymbols, id: "rsymbols"
        - @recycling_symbols.each do |rsymbol|
          - if @product
            - if @product.recycling_symbol_ids.include?(rsymbol.id)
              .symbol.active-btn{:id => "rsymbol-#{rsymbol.id}"}
                = link_to '#', :onclick => "AddRSymbol(#{rsymbol.id}); return false" do
                  = image_tag recycling_symbol_icon(rsymbol)
            - else
              .symbol{:id => "rsymbol-#{rsymbol.id}"}
                = link_to '#', :onclick => "AddRSymbol(#{rsymbol.id}); return false" do
                  = image_tag recycling_symbol_icon(rsymbol)
          - else
            .symbol{:id => "rsymbol-#{rsymbol.id}"}
              = link_to '#', :onclick => "AddRSymbol(#{rsymbol.id}); return false" do
                = image_tag recycling_symbol_icon(rsymbol)

    #certificate_sidebar.hide-sidebar
      .form-group
        = f.hidden_field :csymbols, id: "csymbols"
        - @certificate_symbols.each do |csymbol|
          - if @product
            - if @product.certificate_symbol_ids.include?(csymbol.id)
              .symbol.active-btn{:id => "csymbol-#{csymbol.id}"}
                = link_to '#', :onclick => "AddCSymbol(#{csymbol.id}); return false" do
                  = image_tag certificate_symbol_icon(csymbol)
            - else
              .symbol{:id => "csymbol-#{csymbol.id}"}
                = link_to '#', :onclick => "AddCSymbol(#{csymbol.id}); return false" do
                  = image_tag certificate_symbol_icon(csymbol)
          - else
            .symbol{:id => "csymbol-#{csymbol.id}"}
              = link_to '#', :onclick => "AddCSymbol(#{csymbol.id}); return false" do
                = image_tag certificate_symbol_icon(csymbol)

  .col-md-3
    .light-well
      = image_tag product_icon(@product), size: "215x215"
      - if @product.photos.first
        - if @product.photos.first.image?
          %hr
          = link_to 'Ukloni sliku', destroy_product_photo_path, data: { confirm: "Slika će biti uklonjena. Da li ste sigurni da to želite?"}, method: :delete, class: "btn btn-remove btn-small remove-avatar"

      %hr
      .form-group
        = f.fields_for :photos do |photo|
          = photo.label :description, class: 'control-label' do
            Slika
            %span.light
          .col-sm-10
            = photo.file_field :image

:javascript
  function AddRSymbol(d){
    var data = [];
    var start = document.getElementById("rsymbols").value.toString();
    if (start==""){
      data.push(d);
    }
    else{
      data = start.split(",");
      var pos = data.indexOf(d.toString());
      if (pos>-1){
        data.splice(pos, 1);
      }
      else{
       data.push(d);
      }
    }
    document.getElementById("rsymbols").value = data.toString();
    var tmp = "#".concat("rsymbol-",d.toString());
    if ($(tmp).hasClass('active-btn')){
       $(tmp).removeClass('active-btn');
    }
    else{
      $(tmp).addClass('active-btn');
    }
  }

  function AddCSymbol(d){
    var data = [];
    var start = document.getElementById("csymbols").value.toString();
    if (start==""){
      data.push(d);
    }
    else{
      data = start.split(",");
      var pos = data.indexOf(d.toString());
      if (pos>-1){
        data.splice(pos, 1);
      }
      else{
       data.push(d);
      }
    }
    document.getElementById("csymbols").value = data.toString();
    var tmp = "#".concat("csymbol-",d.toString());
    if ($(tmp).hasClass('active-btn')){
       $(tmp).removeClass('active-btn');
    }
    else{
      $(tmp).addClass('active-btn');
    }
  }